<div fxLayout="column" fxLayoutAlign="space-between center">
    <h2 mat-dialog-title>Create user</h2>
    <form [formGroup]="form" >
        <mat-form-field appearance="fill" class="full_width">
            <mat-label>User email</mat-label>
            <input matInput placeholder="Email" formControlName="email">
        </mat-form-field>
    </form>

    <mat-form-field appearance="fill">
        <mat-label for="role">User role</mat-label>
        <mat-select [formControl]="role">
            <mat-option>--</mat-option>
            <mat-option *ngFor="let role of roles" [name]="role.name" [value]="role.id">
                {{role.name}}
            </mat-option>
        </mat-select>
    </mat-form-field>
    <button [disabled]="!form.valid || !role.valid" mat-raised-button color="primary" (click)="createUser()" mat-stroked-button>
        <mat-icon matSuffix>create</mat-icon> Create
    </button>
</div>